package com.yutou.mobilecloud.Services;

import com.yutou.mobilecloud.mybatis.model.*;

import java.util.List;

public interface IBackup {
    boolean addImage(TUser user, TBackupFile backupFile, TBackupImage image);
    boolean addApp(TUser user, TBackupFile backupFile, TBackupApp app);
    boolean addNumber(TUser user, TBackupFile backupFile, TBackupInfo info, TUserConfig config);
    boolean addMessage(TUser user, TBackupFile backupFile, TBackupInfo info, TUserConfig config);
    boolean removeImage(int bid);
    boolean removeApp(int bid);
    boolean removeInfo(int bid);
    List<TBackupImage> getImageList(int uid);
    List<TBackupApp> getAppList(int uid);
    List<TBackupInfo> getInfoList(int uid);

}
